##### 2021-7-24 Another

## 这块加了就跑不起来了，暂时换不清楚什么原因
## 库的别名（必写：连接的数据库，与数据库连接配置关联）
#org.quartz.jobStore.dataSource = myDS
#
#org.quartz.dataSource.myDS.driver = com.mysql.jdbc.Driver
#org.quartz.dataSource.myDS.URL = jdbc:mysql://rm-uf62u95b96tb9v580uo.mysql.rds.aliyuncs.com:3306/store_system?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&useSSL=false&zeroDateTimeBehavior=convertToNull&serverTimezone=Asia/Shanghai
#org.quartz.dataSource.myDS.user = freshlife
#org.quartz.dataSource.myDS.password = freshlife
#org.quartz.dataSource.myDS.maxConnections = 5



###########################################################
## ThreadPool配置线程守护进程
org.quartz.threadPool.makeThreadsDaemons = true
## 指定调度程序的主线程是否应该是守护线程
org.quartz.scheduler.makeSchedulerThreadDaemon = true



###########################################################
## 数据保存方式为持久化（必写：org.quartz.impl.jdbcjobstore.JobStoreTX 为内存存储机制）
org.quartz.jobStore.class = org.quartz.impl.jdbcjobstore.JobStoreTX
## 选择持久化连接数据库的驱动（必写：org.quartz.impl.jdbcjobstore.StdJDBCDelegate 为所有JDBC兼容的驱动）
org.quartz.jobStore.driverDelegateClass = org.quartz.impl.jdbcjobstore.StdJDBCDelegate
## 是否加入事务处理（execute()完成后事务提交）（非必写，默认：false）
org.quartz.scheduler.wrapJobExecutionInUserTransaction = false



###########################################################
## 是否开启集群
org.quartz.jobStore.isClustered = false
## ID设置为自动获取，每一个必须不同（在集群中的每一个实例都必须有一个唯一的"instance id"）（非集群可不写，默认：NON_CLUSTERED；集群必写，设置AUTO让Quartz自行生成）
org.quartz.scheduler.instanceId = AUTO
## 是否自创建父线程（非集群可不写，默认：false，集群必须设置true）
org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread = false
## 调度标识名 集群中每一个实例都必须使用相同的名称（非必写，默认：QuartzScheduler）
#org.quartz.scheduler.instanceName = quartzScheduler

## ThreadPool实现的类名（必写：在没有实现自己的线程池情况下，通常使用org.quartz.simpl.SimpleThreadPool）
org.quartz.threadPool.class = org.quartz.simpl.SimpleThreadPool
## 线程数量（必写：表示连接数）
org.quartz.threadPool.threadCount = 10
## 线程优先级（非必写，默认：5  区间：1~10）
org.quartz.threadPool.threadPriority = 5



###########################################################
## 调度实例失效的检查时间间隔（影响着核查出失败实例的速度）（非必写，默认：15000）
org.quartz.jobStore.clusterCheckinInterval = 20000
## 容许的最大作业延长时间（当一个触发器被判定没有触发之前，调度器能承受一个触发器再次触发的一个毫秒级数字）（非必写，默认：60000）
org.quartz.jobStore.misfireThreshold = 60000
## quartz内部表的前缀（非必写，默认：QRTZ_）
org.quartz.jobStore.tablePrefix = QRTZ_
## 设置jobStore处理未按时触发的Job的数量（非必写，默认：20）
org.quartz.jobStore.maxMisfiresToHandleAtATime = 20



